Mail archive
alpine-aports

[alpine-aports] [PATCH 1/6] testing/gdal: new aport

From: Trevor R.H. Clarke <trevor_at_notcows.com>
Date: Sun, 28 Feb 2016 20:54:48 -0500

http://gdal.org
a translator library for raster and vector geospatial data formats
---
 testing/gdal/APKBUILD | 54 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 testing/gdal/APKBUILD
diff --git a/testing/gdal/APKBUILD b/testing/gdal/APKBUILD
new file mode 100644
index 0000000..4f3cd5d
--- /dev/null
+++ b/testing/gdal/APKBUILD
_at_@ -0,0 +1,54 @@
+# Contributor: Trevor R.H. Clarke <trevor_at_notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor_at_notcows.com>
+pkgname=gdal
+pkgver=2.0.2
+pkgrel=0
+pkgdesc="a translator library for raster and vector geospatial data formats"
+url="http://gdal.org"
+arch="x86_64"
+license="MIT"
+depends=""
+depends_dev="gdal"
+depends_py="gdal python"
+makedepends="giflib-dev jpeg-dev libjpeg-turbo-dev libpng-dev tiff-dev zlib-dev swig python-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
+source="http://download.osgeo.org/$pkgname/$pkgver/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make -j8 || return 1
+}
+
+py() {
+        pkgdesc="$pkgname python bindings"                                                                                            
+	mkdir -p "$subpkgdir"/usr/lib
+	mkdir -p "$subpkgdir"/usr/bin
+	cd "$_builddir"/swig/python
+	python setup.py build || return 1
+	python setup.py install --prefix=/usr --root="$subpkgdir"
+        chmod a+x scripts/*
+        cp scripts/* $subpkgdir/usr/bin/
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm644 LICENSE.TXT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.TXT
+        make DESTDIR="${pkgdir}" install || return 1                                                                                  
+}
+
+md5sums="940208e737c87d31a90eaae43d0efd65  gdal-2.0.2.tar.xz"
+sha256sums="90f838853cc1c07e55893483faa7e923e4b4b1659c6bc9df3538366030a7e622  gdal-2.0.2.tar.xz"
+sha512sums="45b91834ec3b4908344d6ab29a2ffea1cfc245859e322d9630179bb811183c52cb8aaa6901c522e749ca4932b3dabb9895ca501e6c9cde6f8ff20cdfed24d778  gdal-2.0.2.tar.xz"
-- 
2.4.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 28 2016 - 20:54:48 GMT